Installing pyspatialite on Fedora

Tue 17 November 2015 by Lars Kellogg-Stedman Tags fedora gis

If you should find yourself wanting to install pyspatialite on Fedora -- perhaps because you want to use the Processing plugin for QGIS -- you will first need to install the following dependencies:

  • gcc
  • python-devel
  • sqlite-devel
  • geos-devel
  • proj-devel
  • python-pip
  • redhat-rpm-config

After which you can install pyspatialite using pip by running:

CFLAGS=-I/usr/include pip install pyspatialite

At this point, you should be able to use the "Processing" plugin.


Comments